Bug 1485847 (CVE-2017-12595) - CVE-2017-12595 qpdf: Stack overflow when processing deeply nested arrays and dictionaries
Summary: CVE-2017-12595 qpdf: Stack overflow when processing deeply nested arrays and ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12595
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1485849 1485850
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-28 09:07 UTC by Adam Mariš
Modified: 2019-09-29 14:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:22:18 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-08-28 09:07:36 UTC
The tokenizer in QPDF 6.0.0 and 7.0.b1 is recursive for arrays and
dictionaries, which allows remote attackers to cause a denial of
service (stack consumption and segmentation fault) or possibly have
unspecified other impact via a PDF document with a deep data structure,
as demonstrated by a crash in QPDFObjectHandle::parseInternal in
libqpdf/QPDFObjectHandle.cc.

Upstream bug:

https://github.com/qpdf/qpdf/issues/146

Upstream patch:

https://github.com/qpdf/qpdf/commit/ad527a64f93dca12f6aabab2ca99ae5eb352ab4b

Comment 1 Adam Mariš 2017-08-28 09:08:55 UTC
Created qpdf tracking bugs for this issue:

Affects: epel-6 [bug 1485850]
Affects: fedora-all [bug 1485849]


Note You need to log in before you can comment on or make changes to this bug.